Package com.sun.mirror.type

## Interface TypeVariable

All Superinterfaces:
  `ReferenceType`, `TypeMirror`

    public interface TypeVariable
    extends ReferenceType

Represents a type variable. A type variable is declared by a type parameter of a type, method, or constructor.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeParameterDeclaration` `getDeclaration()` Returns the type parameter that declared this type variable.

### Methods inherited from interface com.sun.mirror.type.TypeMirror

`accept, equals, toString`

### Method Detail

#### getDeclaration

    TypeParameterDeclaration getDeclaration()

Returns the type parameter that declared this type variable.

Returns:
  the type parameter that declared this type variable